# Maintainer: Michal Sotolar <michal@sotolar.com>

pkgname=php7-phalcon4

pkgver=4.1.3
pkgrel=1
pkgdesc="Web framework delivered as a C-extension for PHP"
arch=('x86_64')
url="https://phalcon.io"
license=('PHP')
depends=('php7' 'php7-psr')
makedepends=('gcc')
provides=('php-phalcon=$pkgver')
conflicts=('php7-phalcon')
replaces=('php7-phalcon')
backup=('etc/php7/conf.d/phalcon.ini')
source=("https://github.com/phalcon/cphalcon/archive/v$pkgver.zip")
sha256sums=('813ecdefa814c42645088294f24f8d10a610f6ffc891d6acebb7faa9362c9100')

build() {
    cd "$srcdir/cphalcon-$pkgver/build/php7/64bits"

    if [ -f Makefile ]; then
        make clean
        phpize7 --clean
    fi

    phpize7
    ./configure --prefix=/usr --enable-phalcon
    make
}

package() {
    cd "$srcdir/cphalcon-$pkgver/build/php7/64bits"
    make INSTALL_ROOT="$pkgdir" install
    echo 'extension=phalcon.so' > phalcon.ini 
    install -Dm644 phalcon.ini "$pkgdir/etc/php7/conf.d/phalcon.ini"
}
